[proftpd] Listing des répertoires impossible

Mise à jour / Création /debug de paquetages
Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

[proftpd] Listing des répertoires impossible

Message par Feng » ven. 17 mai 2013, 18:59

Bonjour,

Ca fait plus d'un an que proftpd est installé sur mon serveur, et depuis une mise à jour, la connexion se fait bien mais impossible de récupérer le contenu du répertoire.
Systemd me dit que tout est ok.

Code : Tout sélectionner

[root@lpdn tmp]# systemctl status proftpd
proftpd.service - ProFTPD FTP Server
   Loaded: loaded (/usr/lib/systemd/system/proftpd.service; enabled)
   Active: active (running) since ven. 2013-05-17 18:46:47 CEST; 3min 34s ago
  Process: 16153 ExecStart=/usr/sbin/proftpd (code=exited, status=0/SUCCESS)
 Main PID: 16161 (proftpd)
   CGroup: name=systemd:/system/proftpd.service
           ├─16161 proftpd: (accepting connections)
           └─16167 proftpd: rtor - x.dsl.ovh.fr: MLSD

mai 17 18:46:42 lpdn systemd[1]: Starting ProFTPD FTP Server...
mai 17 18:46:47 lpdn proftpd[16161]: x.kimsufi.com - ProFTPD 1.3.4b (maint) (built Thu Aug 23 2012 12:49:28 UTC) standalone mode STARTUP
mai 17 18:46:47 lpdn systemd[1]: Started ProFTPD FTP Server.
mai 17 18:46:52 lpdn proftpd[16167]: x.kimsufi.com (x.x.x.x.dsl.ovh.fr[x.x.x.x]) - FTP session opened.
mai 17 18:46:52 lpdn proftpd[16167]: pam_unix(ftp:session): session opened for user rtor by (uid=0)
mai 17 18:46:52 lpdn proftpd[16167]: x.kimsufi.com (x.x.x.x.dsl.ovh.fr[x.x.x.x]) - Preparing to chroot to directory '/home/rtor'
mai 17 18:46:52 lpdn proftpd[16167]: x.kimsufi.com (x.x.x.x.dsl.ovh.fr[x.x.x.x]) - USER rtor: Login successful.
J'ai tenté un downgrade qui n'a rien changé.

Code : Tout sélectionner

[root@lpdn tmp]# cat /var/log/pacman.log | grep proftpd
[2012-06-24 20:52] Running 'pacman -S extra/proftpd'
[2012-06-24 20:52] installed proftpd (1:1.3.4a-5)
[2012-08-12 05:26] upgraded proftpd (1:1.3.4a-5 -> 1:1.3.4b-1)
[2012-08-25 01:57] upgraded proftpd (1:1.3.4b-1 -> 1:1.3.4b-3)
[2013-03-10 20:33] upgraded proftpd (1:1.3.4b-3 -> 1:1.3.4c-1)
[2013-05-08 16:24] upgraded proftpd (1:1.3.4c-1 -> 1:1.3.4c-2)
[2013-05-17 18:44] [PACMAN] Running 'pacman -U proftpd-1:1.3.4b-3-x86_64.pkg.tar.xz'
[2013-05-17 18:45] [PACMAN] downgraded proftpd (1:1.3.4c-2 -> 1:1.3.4b-3)
Je dirais que le problème date du 10 Mars.
Le log du 10 Mars :

Code : Tout sélectionner

[root@lpdn tmp]# cat /var/log/pacman.log | grep 2013-03-10
[2013-03-10 18:20] Running 'pacman -S tc'
[2013-03-10 18:29] Running 'pacman -S core/linux'
[2013-03-10 19:12] Running 'pacman -S core/linux-headers core/linux'
[2013-03-10 19:12] Running 'pacman -S core/linux-headers core/linux'
[2013-03-10 19:12] Running 'pacman -S core/linux'
[2013-03-10 19:12] Running 'pacman -S core/linux-headers'
[2013-03-10 20:30] Running 'pacman -S --asdeps --needed gcc-multilib'
[2013-03-10 20:30] Running 'pacman -Sy'
[2013-03-10 20:30] synchronizing package lists
[2013-03-10 20:30] Running 'pacman -S --asdeps --needed multilib/gcc-multilib'
[2013-03-10 20:31] installed lzo2 (2.06-1)
[2013-03-10 20:31] upgraded libarchive (3.0.4-2 -> 3.1.2-1)
[2013-03-10 20:31] upgraded pacman (4.0.3-5 -> 4.0.3-7)
[2013-03-10 20:31] Running 'pacman -S --asdeps gcc-multilib'
[2013-03-10 20:31] removed gcc-libs (4.7.2-4)
[2013-03-10 20:31] removed binutils (2.23.1-3)
[2013-03-10 20:31] removed gcc (4.7.2-4)
[2013-03-10 20:31] installed lib32-glibc (2.17-2)
[2013-03-10 20:31] installed lib32-gcc-libs (4.7.2-4)
[2013-03-10 20:31] installed gcc-libs-multilib (4.7.2-4)
[2013-03-10 20:31] installed binutils-multilib (2.23.1-3)
[2013-03-10 20:31] installed gcc-multilib (4.7.2-4)
[2013-03-10 20:31] Running 'pacman -U /tmp/yaourt-tmp-root/PKGDEST.add/grub-legacy-0.97-24-x86_64.pkg.tar.xz'
[2013-03-10 20:31] warning: /boot/grub/menu.lst saved as /boot/grub/menu.lst.pacsave
[2013-03-10 20:31] removed grub (0.97-21)
[2013-03-10 20:31] installed grub-legacy (0.97-24)
[2013-03-10 20:32] Running 'pacman -Sy'
[2013-03-10 20:32] synchronizing package lists
[2013-03-10 20:32] starting full system upgrade
[2013-03-10 20:32] Running 'pacman -S -u'
[2013-03-10 20:32] starting full system upgrade
[2013-03-10 20:33] warning: /usr/lib/avahi/service-types.db installed as /usr/lib/avahi/service-types.db.pacnew
[2013-03-10 20:33] upgraded avahi (0.6.31-5 -> 0.6.31-6)
[2013-03-10 20:33] upgraded avidemux-cli (2.5.6-5 -> 2.5.6-6)
[2013-03-10 20:33] upgraded ethtool (1:3.7-1 -> 1:3.8-1)
[2013-03-10 20:33] upgraded file (5.11-2 -> 5.13-1)
[2013-03-10 20:33] upgraded graphite (1:1.2.0-1 -> 1:1.2.1-1)
[2013-03-10 20:33] upgraded graphviz (2.30.0-5 -> 2.30.1-1)
[2013-03-10 20:33] upgraded hwids (20130214-1 -> 20130228-1)
[2013-03-10 20:33] upgraded inputproto (2.2-1 -> 2.3-1)
[2013-03-10 20:33] upgraded jre7-openjdk-headless (7.u13_2.3.7-1 -> 7.u13_2.3.7-2)
[2013-03-10 20:33] upgraded jre7-openjdk (7.u13_2.3.7-1 -> 7.u13_2.3.7-2)
[2013-03-10 20:33] upgraded libgpg-error (1.10-2 -> 1.11-1)
[2013-03-10 20:33] upgraded libldap (2.4.33-3 -> 2.4.34-1)
[2013-03-10 20:33] upgraded libmysqlclient (5.5.30-1 -> 5.5.30-6)
[2013-03-10 20:33] upgraded libnl (3.2.19-1 -> 3.2.21-1)
[2013-03-10 20:33] upgraded libpcap (1.3.0-2 -> 1.3.0-3)
[2013-03-10 20:33] >>> Updating module dependencies. Please wait ...
[2013-03-10 20:33] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2013-03-10 20:33] ==> Building image from preset: 'default'
[2013-03-10 20:33]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2013-03-10 20:33] ==> Starting build: 3.7.10-1-ARCH
[2013-03-10 20:33]   -> Running build hook: [base]
[2013-03-10 20:33]   -> Running build hook: [udev]
[2013-03-10 20:33]   -> Running build hook: [autodetect]
[2013-03-10 20:33]   -> Running build hook: [modconf]
[2013-03-10 20:33]   -> Running build hook: [block]
[2013-03-10 20:33]   -> Running build hook: [filesystems]
[2013-03-10 20:33]   -> Running build hook: [keyboard]
[2013-03-10 20:33]   -> Running build hook: [fsck]
[2013-03-10 20:33] ==> Generating module dependencies
[2013-03-10 20:33] ==> Creating gzip initcpio image: /boot/initramfs-linux.img
[2013-03-10 20:33] ==> Image generation successful
[2013-03-10 20:33] ==> Building image from preset: 'fallback'
[2013-03-10 20:33]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2013-03-10 20:33] ==> Starting build: 3.7.10-1-ARCH
[2013-03-10 20:33]   -> Running build hook: [base]
[2013-03-10 20:33]   -> Running build hook: [udev]
[2013-03-10 20:33]   -> Running build hook: [modconf]
[2013-03-10 20:33]   -> Running build hook: [block]
[2013-03-10 20:33]   -> Running build hook: [filesystems]
[2013-03-10 20:33]   -> Running build hook: [keyboard]
[2013-03-10 20:33]   -> Running build hook: [fsck]
[2013-03-10 20:33] ==> Generating module dependencies
[2013-03-10 20:33] ==> Creating gzip initcpio image: /boot/initramfs-linux-fallback.img
[2013-03-10 20:33] ==> Image generation successful
[2013-03-10 20:33] upgraded linux (3.7.9-2 -> 3.7.10-1)
[2013-03-10 20:33] upgraded linux-headers (3.7.9-2 -> 3.7.10-1)
[2013-03-10 20:33] upgraded logrotate (3.8.2-2 -> 3.8.3-1)
[2013-03-10 20:33] upgraded lsof (4.86-1 -> 4.87-1)
[2013-03-10 20:33] upgraded mysql-clients (5.5.30-1 -> 5.5.30-6)
[2013-03-10 20:33] upgraded mysql (5.5.30-1 -> 5.5.30-6)
[2013-03-10 20:33] upgraded perl (5.16.2-3 -> 5.16.2-4)
[2013-03-10 20:33] upgraded pinentry (0.8.2-1 -> 0.8.2-2)
[2013-03-10 20:33] upgraded pkgfile (8-1 -> 8-2)
[2013-03-10 20:33] upgraded proftpd (1:1.3.4b-3 -> 1:1.3.4c-1)
[2013-03-10 20:33] upgraded serf (1.1.1-1 -> 1.2.0-1)
[2013-03-10 20:33] upgraded sudo (1.8.6.p6-1 -> 1.8.6.p7-1)
[2013-03-10 20:33] upgraded syslog-ng (3.4.1-1 -> 3.4.1-2)
[2013-03-10 20:33] upgraded transmission-cli (2.77-1 -> 2.77-2)
[2013-03-10 20:33] upgraded tzdata (2012j-1 -> 2013a-1)
[2013-03-10 20:33] upgraded v4l-utils (0.9.3-1 -> 0.9.3-2)
[2013-03-10 20:33] warning: /etc/webmin/miniserv.conf installed as /etc/webmin/miniserv.conf.pacnew
[2013-03-10 20:33] warning: /etc/webmin/webmin/config installed as /etc/webmin/webmin/config.pacnew
[2013-03-10 20:33] Note:
[2013-03-10 20:33] ==> It is not allowed to install 3rd party modules, or delete existing modules.
[2013-03-10 20:33] ==> Please write your own PKGBUILDS for 3rd party modules and additional themes.
[2013-03-10 20:33] Setup:
[2013-03-10 20:33] ==> To make webmin start at boot time, add webmin to rc.conf daemons
[2013-03-10 20:33] ==> Point your web browser to http://localhost:10000 to use webmin.
[2013-03-10 20:33] ==> The access is restricted to localhost, if you want to connect from other locations
[2013-03-10 20:33] ==> change /etc/webmin/miniserv.conf to something like that: allow=127.0.0.1 <your-ip>
[2013-03-10 20:33] ==> If you want to have ssl encryption please install 'perl-net-ssleay' additional.
[2013-03-10 20:33] upgraded webmin (1.610-1 -> 1.620-1)

Une idée d'où ça peut venir ?

Répondre